# ``twisted`.`internet`.`interfaces`.`IReactorInThreads``

interface documentation

`class IReactorInThreads(Interface): (source)`

Known subclasses: `twisted.internet.interfaces.IReactorThreads`

View In Hierarchy

This interface contains the methods exposed by a reactor which will let you run functions in another thread.

Present Since
15.4

Method | `callInThread` | Run the given callable object in a separate thread, with the given arguments and keyword arguments.

def callInThread(callable, *args, **kwargs): (source)
Run the given callable object in a separate thread, with the given arguments and keyword arguments.

Parameters
callable:`Callable[..., Any]` | Undocumented
*args:`object` | Undocumented
**kwargs:`object` | Undocumented